envelope: calculate envelope (minimum bounding rectangle) of a geometry

## Functions

template<typename Geometry , typename Box >
void | boost::geometry::envelope (Geometry const &geometry, Box &mbr)
| Calculates the envelope of a geometry.
template<typename Box , typename Geometry >
Box | boost::geometry::return_envelope (Geometry const &geometry)
| Calculates the envelope of a geometry.

## Function Documentation

template<typename Geometry , typename Box >

void boost::geometry::envelope | ( | Geometry const & | geometry,
|  | Box & | mbr
| ) |  |

Calculates the envelope of a geometry.

The free function envelope calculates the envelope (also known as axis aligned bounding box, aabb, or minimum bounding rectangle, mbr) of a geometry.

Template Parameters:

  Geometry | Any type fulfilling a Geometry Concept
  Box | Any type fulfilling a Box Concept

Parameters:

  geometry | A model of the specified concept
  mbr | A model of the specified Box Concept which is set to the \1

Examples:
  02_linestring_example.cpp, and 03_polygon_example.cpp.

template<typename Box , typename Geometry >

Box boost::geometry::return_envelope | ( | Geometry const & | geometry | ) |

Calculates the envelope of a geometry.

The free function return_envelope calculates the envelope (also known as axis aligned bounding box, aabb, or minimum bounding rectangle, mbr) of a geometry. This version with the return_ prefix returns the envelope, and a template parameter must therefore be specified in the call.

Template Parameters:

  Box | Any type fulfilling a Box Concept
  Geometry | Any type fulfilling a Geometry Concept

Parameters:

  geometry | A model of the specified concept

Returns:
  The calculated \1

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK